"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const credential_command_1 = require("../../credential-command");
class AccountCreate extends credential_command_1.WithCredentialPassphrase {
    async run() {
        const { args } = this.parse(AccountCreate);
        const passphrase = await this.getCredentialPassphrase();
        this.spinner.start('Creating account');
        const account = await this.api.account.create({
            name: args.ACCOUNT_NAME,
            password: passphrase,
        });
        this.spinner.stop(account.address || '');
        this.warn('Make sure to backup the mnemonic:');
        this.log(account.mnemonic || '');
        return account;
    }
}
exports.default = AccountCreate;
AccountCreate.description = 'Create an account';
AccountCreate.flags = Object.assign({}, credential_command_1.WithCredentialPassphrase.flags);
AccountCreate.args = [{
        name: 'ACCOUNT_NAME',
        required: true
    }];
