"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const credential_command_1 = require("../../credential-command");
class AccountDelete extends credential_command_1.WithCredentialPassphrase {
    async run() {
        const { args } = this.parse(AccountDelete);
        const passphrase = await this.getCredentialPassphrase();
        this.spinner.start('Deleting account');
        const data = await this.api.account.delete({}, {
            username: args.ACCOUNT_NAME,
            passphrase: passphrase || '',
        });
        this.spinner.stop();
        return data;
    }
}
exports.default = AccountDelete;
AccountDelete.description = 'Delete an account';
AccountDelete.flags = Object.assign({}, credential_command_1.WithCredentialPassphrase.flags);
AccountDelete.args = [{
        name: 'ACCOUNT_NAME',
        required: true
    }];
