"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = require("cli-ux");
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class AccountList extends root_command_1.default {
    async run() {
        const { flags } = this.parse(AccountList);
        const { accounts } = await this.api.account.list({});
        cli_ux_1.cli.table(accounts || [], {
            name: { header: 'NAME', get: x => x.name },
            address: { header: 'ADDRESS', get: x => x.address },
        }, Object.assign({ printLine: this.log }, flags));
        return accounts || [];
    }
}
exports.default = AccountList;
AccountList.description = 'List accounts';
AccountList.flags = Object.assign(Object.assign({}, root_command_1.default.flags), cli_ux_1.cli.table.flags());
