import { flags } from '@oclif/command';
import { hash } from 'mesg-js/lib/api/types';
import { WithCredential as Command } from '../../credential-command';
export default class ProcessCompile extends Command {
    static description: string;
    static flags: {
        dev: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        env: flags.IOptionFlag<string[]>;
        account: flags.IOptionFlag<string | undefined>;
        passphrase: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    private _credentials;
    run(): Promise<any>;
    sourceToInstance(dir: string, src: string, env: string[]): Promise<hash>;
    serviceToInstance(sidOrHash: hash | string, env: string[]): Promise<hash>;
    private credentials;
}
