import { flags } from '@oclif/command';
import { Credential } from 'mesg-js/lib/api';
import Command from './root-command';
export declare abstract class WithCredentialPassphrase extends Command {
    static flags: {
        passphrase: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: flags.IOptionFlag<string>;
    };
    getCredentialPassphrase(): Promise<string>;
}
export declare abstract class WithCredential extends WithCredentialPassphrase {
    static flags: {
        account: flags.IOptionFlag<string | undefined>;
        passphrase: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: flags.IOptionFlag<string>;
    };
    getCredential(): Promise<Credential>;
    getCredentialUsername(): Promise<string>;
}
